| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
P33C_PWM_MODULE_s Struct Reference

`#include <common/p33c_pral/p33c_pwm.h>`

Collaboration diagram for P33C_PWM_MODULE_s:

## Data Fields
union {
struct tagPCLKCONBITS bits
uint16_t value
} | vPCLKCON
union {
struct {
uint16_t FSCL: 16
} bits
uint16_t value
} | vFSCL
union {
struct {
uint16_t FSMINPER: 16
} bits
uint16_t value: 16
} | vFSMINPER
union {
struct {
uint16_t MPHASE: 16
} bits
uint16_t value
} | vMPHASE
union {
struct {
uint16_t MDC: 16
} bits
uint16_t value
} | vMDC
union {
struct {
uint16_t MPER: 16
} bits
uint16_t value
} | vMPER
union {
struct {
uint16_t LFSR: 15
uint16_t __pad0__: 1
} bits
uint16_t value
} | vLFSR
union {
struct tagCMBTRIGLBITS bits
uint16_t value: 16
} | vCMBTRIGL
union {
struct tagCMBTRIGHBITS bits
uint16_t value: 16
} | vCMBTRIGH
union {
struct tagLOGCONABITS bits
uint16_t value: 16
} | LOGCON_A
union {
struct tagLOGCONABITS bits
uint16_t value: 16
} | LOGCON_B
union {
struct tagLOGCONABITS bits
uint16_t value: 16
} | LOGCON_C
union {
struct tagLOGCONABITS bits
uint16_t value: 16
} | LOGCON_D
union {
struct tagLOGCONABITS bits
uint16_t value: 16
} | LOGCON_E
union {
struct tagLOGCONABITS bits
uint16_t value: 16
} | LOGCON_F
union {
struct tagPWMEVTABITS bits
uint16_t value: 16
} | PWMEVT_A
union {
struct tagPWMEVTABITS bits
uint16_t value: 16
} | PWMEVT_B
union {
struct tagPWMEVTABITS bits
uint16_t value: 16
} | PWMEVT_C
union {
struct tagPWMEVTABITS bits
uint16_t value: 16
} | PWMEVT_D
union {
struct tagPWMEVTABITS bits
uint16_t value: 16
} | PWMEVT_E
union {
struct tagPWMEVTABITS bits
uint16_t value: 16
} | PWMEVT_F

## Detailed Description

Definition at line 84 of file p33c_pwm.h.

## Field Documentation

## ◆ __pad0__

uint16_t __pad0__

Definition at line 123 of file p33c_pwm.h.

## ◆ bits [1/11]

struct { ... } bits

## ◆ bits [2/11]

struct { ... } bits

## ◆ bits [3/11]

struct { ... } bits

## ◆ bits [4/11]

struct { ... } bits

## ◆ bits [5/11]

struct { ... } bits

## ◆ bits [6/11]

struct tagCMBTRIGLBITS bits

Definition at line 128 of file p33c_pwm.h.

## ◆ bits [7/11]

struct { ... } bits

## ◆ bits [8/11]

struct tagCMBTRIGHBITS bits

Definition at line 132 of file p33c_pwm.h.

## ◆ bits [9/11]

struct tagLOGCONABITS bits

Definition at line 136 of file p33c_pwm.h.

## ◆ bits [10/11]

struct tagPWMEVTABITS bits

Definition at line 160 of file p33c_pwm.h.

## ◆ bits [11/11]

struct tagPCLKCONBITS bits

Definition at line 87 of file p33c_pwm.h.

## ◆ FSCL

uint16_t FSCL

Definition at line 92 of file p33c_pwm.h.

## ◆ FSMINPER

uint16_t FSMINPER

Definition at line 98 of file p33c_pwm.h.

## ◆ LFSR

uint16_t LFSR

Definition at line 122 of file p33c_pwm.h.

## ◆ LOGCON_A

union { ... } LOGCON_A

## ◆ LOGCON_B

union { ... } LOGCON_B

## ◆ LOGCON_C

union { ... } LOGCON_C

## ◆ LOGCON_D

union { ... } LOGCON_D

## ◆ LOGCON_E

union { ... } LOGCON_E

## ◆ LOGCON_F

union { ... } LOGCON_F

## ◆ MDC

uint16_t MDC

Definition at line 110 of file p33c_pwm.h.

## ◆ MPER

uint16_t MPER

Definition at line 116 of file p33c_pwm.h.

## ◆ MPHASE

uint16_t MPHASE

Definition at line 104 of file p33c_pwm.h.

## ◆ PWMEVT_A

union { ... } PWMEVT_A

## ◆ PWMEVT_B

union { ... } PWMEVT_B

## ◆ PWMEVT_C

union { ... } PWMEVT_C

## ◆ PWMEVT_D

union { ... } PWMEVT_D

## ◆ PWMEVT_E

union { ... } PWMEVT_E

## ◆ PWMEVT_F

union { ... } PWMEVT_F

## ◆ value

uint16_t value

Definition at line 88 of file p33c_pwm.h.

## ◆ vCMBTRIGH

union { ... } vCMBTRIGH

## ◆ vCMBTRIGL

union { ... } vCMBTRIGL

## ◆ vFSCL

union { ... } vFSCL

## ◆ vFSMINPER

union { ... } vFSMINPER

## ◆ vLFSR

union { ... } vLFSR

## ◆ vMDC

union { ... } vMDC

## ◆ vMPER

union { ... } vMPER

## ◆ vMPHASE

union { ... } vMPHASE

## ◆ vPCLKCON

union { ... } vPCLKCON

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_pwm.h